- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# sysctl_args Struct Reference

`#include <sysproto.h>`

## Data Fields
int * | name
char | name_l_ [0]
char | name_r_ [(sizeof(register_t)<=sizeof(int *)?0:sizeof(register_t)-sizeof(int *))]
u_int | namelen
char | namelen_l_ [0]
char | namelen_r_ [(sizeof(register_t)<=sizeof(u_int)?0:sizeof(register_t)-sizeof(u_int))]
void * | new
char | new_l_ [0]
char | new_r_ [(sizeof(register_t)<=sizeof(void *)?0:sizeof(register_t)-sizeof(void *))]
size_t | newlen
char | newlen_l_ [0]
char | newlen_r_ [(sizeof(register_t)<=sizeof(size_t)?0:sizeof(register_t)-sizeof(size_t))]
void * | old
char | old_l_ [0]
char | old_r_ [(sizeof(register_t)<=sizeof(void *)?0:sizeof(register_t)-sizeof(void *))]
size_t * | oldlenp
char | oldlenp_l_ [0]
char | oldlenp_r_ [(sizeof(register_t)<=sizeof(size_t *)?0:sizeof(register_t)-sizeof(size_t *))]

## Detailed Description

Definition at line 70 of file sysproto.h.

## Field Documentation

int* sysctl_args::name

Definition at line 71 of file sysproto.h.

Referenced by __sysctl().

char sysctl_args::name_l_[0]

Definition at line 71 of file sysproto.h.

char sysctl_args::name_r_[(sizeof(register_t)<=sizeof(int *)?0:sizeof(register_t)-sizeof(int *))]

Definition at line 71 of file sysproto.h.

u_int sysctl_args::namelen

Definition at line 72 of file sysproto.h.

Referenced by __sysctl().

char sysctl_args::namelen_l_[0]

Definition at line 72 of file sysproto.h.

char sysctl_args::namelen_r_[(sizeof(register_t)<=sizeof(u_int)?0:sizeof(register_t)-sizeof(u_int))]

Definition at line 72 of file sysproto.h.

void* sysctl_args::new

Definition at line 75 of file sysproto.h.

char sysctl_args::new_l_[0]

Definition at line 75 of file sysproto.h.

char sysctl_args::new_r_[(sizeof(register_t)<=sizeof(void *)?0:sizeof(register_t)-sizeof(void *))]

Definition at line 75 of file sysproto.h.

size_t sysctl_args::newlen

Definition at line 76 of file sysproto.h.

Referenced by __sysctl().

char sysctl_args::newlen_l_[0]

Definition at line 76 of file sysproto.h.

char sysctl_args::newlen_r_[(sizeof(register_t)<=sizeof(size_t)?0:sizeof(register_t)-sizeof(size_t))]

Definition at line 76 of file sysproto.h.

void* sysctl_args::old

Definition at line 73 of file sysproto.h.

Referenced by __sysctl().

char sysctl_args::old_l_[0]

Definition at line 73 of file sysproto.h.

char sysctl_args::old_r_[(sizeof(register_t)<=sizeof(void *)?0:sizeof(register_t)-sizeof(void *))]

Definition at line 73 of file sysproto.h.

size_t* sysctl_args::oldlenp

Definition at line 74 of file sysproto.h.

Referenced by __sysctl().

char sysctl_args::oldlenp_l_[0]

Definition at line 74 of file sysproto.h.

char sysctl_args::oldlenp_r_[(sizeof(register_t)<=sizeof(size_t *)?0:sizeof(register_t)-sizeof(size_t *))]

Definition at line 74 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h